﻿@using Newtonsoft.Json
@inject Microsoft.AspNetCore.Http.IHttpContextAccessor HttpContextAccessor

@{

    var userId = Guid.Empty;
    var userFullname = User.FindFirst("userFullName")?.Value ?? "{نقش کاربر}";
    var userRole = User.FindFirst("userRoleTag")?.Value ?? "{نقش کاربر}";
}

<!DOCTYPE html>
<html lang="fa" data-textdirection="rtl" class="loading">
<head>
    <title dir="rtl">@ViewData["PageTitle"] - اتوماسیون پذیرندگان</title>
    <!-- META Tags-->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta name="description" content="سامانه مدیریت پذیرندگان میمز">
    <meta name="keywords" content="ستاره, خاورمیانه, ستاره خاورمیانه, پذیرندگان, پوز, پذیرنده, پایانه, POS, Terminal">
    <meta name="author" content="ahkhaniki">

    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-touch-fullscreen" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="default">   
    <!-- favicon-->
    <link rel="apple-touch-icon" sizes="60x60" href="~/app-assets2/images/ico/apple-icon-60.png">
    <link rel="apple-touch-icon" sizes="76x76" href="~/app-assets2/images/ico/apple-icon-76.png">
    <link rel="apple-touch-icon" sizes="120x120" href="~/app-assets2/images/ico/apple-icon-120.png">
    <link rel="apple-touch-icon" sizes="152x152" href="~/app-assets2/images/ico/apple-icon-152.png">
    <link rel="shortcut icon" type="image/x-icon" href="~/app-assets2/images/ico/favicon.png">
    <link rel="shortcut icon" type="image/png" href="~/app-assets2/images/ico/favicon-32.png">
    <!-- BEGIN VENDOR CSS-->
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/bootstrap.css">
    <!-- font icons-->
    <link rel="stylesheet" type="text/css" href="~/app-assets2/fonts/icomoon.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/fonts/flag-icon-css/css/flag-icon.min.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/fonts/font-awesome/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="~/app-assets2/vendors/css/extensions/pace.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/vendors/js/gallery/photo-swipe/photoswipe.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/vendors/js/gallery/photo-swipe/default-skin/default-skin.css">
    @*<link rel="stylesheet" type="text/css" href="~/app-assets2/vendors/css/toastr/toastr.css" />*@
    <link href="~/assets/plugins/toastr/css/toastr.min.css" rel="stylesheet" />

    <link href="~/app-assets2/plugins/introjs/introjs.min.css" rel="stylesheet" />
    <link href="~/app-assets2/plugins/introjs/introjs-rtl.css" rel="stylesheet" />
    <link href="~/app-assets2/plugins/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" />
    <link href="~/app-assets2/plugins/persian-datepicker/persian-datepicker.css" rel="stylesheet" />

    <!-- END VENDOR CSS-->
    <!-- BEGIN ROBUST CSS-->
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/bootstrap-extended.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/app.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/colors.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/custom-rtl.css">
    <!-- END ROBUST CSS-->
    <!-- BEGIN Page Level CSS-->
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/core/menu/menu-types/vertical-menu.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/core/menu/menu-types/vertical-overlay-menu.css">
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/pages/gallery.css">
    @*<link rel="stylesheet" type="text/css" href="../../../app-assets2/css-rtl/plugins/forms/wizard.min.css">*@
    @*<link rel="stylesheet" type="text/css" href="~/app-assets2/plugins/wizard-steps/wizard.min.css" />*@
    <!-- END Page Level CSS-->
    <!-- BEGIN Custom CSS-->
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/fonts.css" />
    <link rel="stylesheet" type="text/css" href="~/app-assets2/css-rtl/style-rtl.css" />
    @*<link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">*@
    @*<link type="text/css" rel="stylesheet" href="https://cdn.jsdelivr.net/npm/vazir-font@26.0.2/dist/Farsi-Digits/font-face-FD.css">*@
    <link type="text/css" rel="stylesheet" href="https://cdn.jsdelivr.net/gh/rastikerdar/shabnam-font@v5.0.1/dist/font-face.css">
    <!-- END Custom CSS-->
    <!-- Tables Styles -->
    <link href="~/app-assets2/css/datatables.min.css" rel="stylesheet" asp-append-version="true" />
    <!-- Bootstrap Toggle Styles -->
    <link href="~/app-assets2/plugins/bootstrap-toggle/bootstrap4-toggle/bootstrap4-toggle.min.css" rel="stylesheet" />
    <!-- Bootstrap Datepicker Styles -->
    <link href="~/app-assets2/plugins/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" />
    <!-- Bootstrap FileInput Styles -->
    <link href="~/app-assets2/plugins/bootstrap-fileinput/css/bootstrap-fileinput.min.css" rel="stylesheet" />
    <link href="~/app-assets2/plugins/bootstrap-fileinput/css/bootstrap-fileinput-rtl.min.css" rel="stylesheet" />
    <link href="~/app-assets2/plugins/bootstrap-fileinput/themes/explorer-fa/theme.min.css" rel="stylesheet" />
    <!-- Bootstrap Multiselect Styles -->
    <link href="~/app-assets2/plugins/bootstrap-multiselect/bootstrap-multiselect.min.css" rel="stylesheet" />
    <link href="~/assets/plugins/select2/css/select2.min.css" rel="stylesheet" />
    <link href="~/assets/plugins/select2/css/select2-bootstrap.min.css" rel="stylesheet" />

    @*Styles.Render("~/assets/bootstrap-multiselect/css")*@
    <style>
        .form-control-file,
        .custom-file-control,
        .custom-file-input {
            /*content: "انتخاب";*/
            opacity: 1;
        }

            .form-control-file:before,
            .custom-file-control:before,
            .custom-file-input:before {
                /*content: "انتخاب";
            opacity:1;*/
            }

            .form-control-file:after,
            .custom-file-control:after,
            .custom-file-input:after {
                content: "انتخاب";
                opacity: 0;
            }

        .form-control-label:after,
        .custom-file-label:after {
            content: "انتخاب";
            opacity: 0;
        }

        /*.custom-file-input:lang(fa) ~ .custom-file-label::after {
            content: "انتخاب" !important;
        }*/
        .form-control {
            line-height: 1.7;
        }
    </style>
    @RenderSection("styles", required: false)
</head>
<body data-open="click" data-menu="vertical-menu" data-col="2-columns" class="vertical-layout vertical-menu 2-column fixed-navbar darkbar">
    <!-- navbar-fixed-top-->
    <nav class="header-navbar navbar navbar-with-menu navbar-fixed-top navbar-light navbar-shadow">
        <div class="navbar-wrapper">
            <div class="navbar-header">
                <ul class="nav navbar-nav">
                    <li class="nav-item mobile-menu hidden-md-up float-xs-left"><a class="nav-link nav-menu-main menu-toggle hidden-xs"><i class="icon-menu5 font-large-1"></i></a></li>
                    <li class="nav-item"><a href="@Url.Content("~/")" class="navbar-brand nav-link"><img alt="branding logo" src="/app-assets2/images/logo/app-logo-dark-mid.png" data-expand="/app-assets2/images/logo/brand-logo-dark-mid.png" data-collapse="/app-assets2/images/logo/brand-logo-small.png" class="brand-logo"></a></li>
                    <li class="nav-item hidden-md-up float-xs-right"><a data-toggle="collapse" data-target="#navbar-mobile" class="nav-link open-navbar-container"><i class="icon-ellipsis pe-2x icon-icon-rotate-right-right"></i></a></li>
                </ul>
            </div>
            <div class="navbar-container content container-fluid pr-0">
                <div id="navbar-mobile" class="collapse navbar-toggleable-sm">
                    <ul class="nav navbar-nav">
                        <li class="nav-item hidden-sm-down">
                            <a class="nav-link nav-menu-main menu-toggle hidden-xs"><i class="icon-menu5"></i></a>
                        </li>
                        <li class="nav-item" dir="ltr">
                            @*<partial name="/Views/Shared/Partials/_CountdownTimerPartial.cshtml" />*@
                        </li>
                        <li class="nav-item hidden-sm-down">
                            <div class="btn-group mr-1 mb-1 " style="margin-top: 18px;">
                                <button type="button" hidden class="btn btn-sm btn-primary btn-min-width dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">جدید</button>
                                <div class="dropdown-menu">
                                    <a class="dropdown-item" href="#">خرید</a>
                                    <a class="dropdown-item" href="@Url.Action("Create", "Fiscal")">سایر</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="@Url.Action("Create", "")">سایر</a>
                                </div>
                            </div>
                        </li>
                    </ul>
                    <ul class="nav navbar-nav float-xs-right">

                        @*@await Component.InvokeAsync("Requests", userId)*@

                        <li class="dropdown dropdown-user nav-item">
                            <a href="#" data-toggle="dropdown" class="dropdown-toggle nav-link dropdown-user-link">
                                <span class="avatar avatar-online">
                                    <img src="~/app-assets2/images/portrait/small/avatar-s-1.png" alt="avatar"><i></i>
                                </span>
                                <span class="user-name">
                                    @userFullname
                                </span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right">
                                <a href="#" class="dropdown-item text-info"><i class="icon-info"></i> @userRole</a>
                                <a href="@Url.Action("Profile", "Account", new { Area = "" })" class="dropdown-item"><i class="icon-head"></i> مشخصات</a>
                                <a href="@Url.Action("ChangePassword", "Account", new { Area = "" })" class="dropdown-item"><i class="icon-key4"></i> تغییر رمز</a>
                                <a href="" class="dropdown-item"><i class="icon-wifi2"></i> @(@*Context.Request.Cookies["UserIP"]?.ToString()*@ @HttpContextAccessor.HttpContext.Connection.RemoteIpAddress?.ToString() ?? "0.0.0.0")</a>
                                <div class="dropdown-divider"></div>
                                <a asp-action="SignOut" asp-controller="Account" asp-area="" class="dropdown-item"><i class="icon-power3"></i> خروج</a>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </nav>
    <!-- ////////////////////////////////////////////////////////////////////////////-->
    <!-- main menu-->
    <partial name="/Views/Shared/Partials/_MainMenuPartial.cshtml" />
    <!-- / main menu-->
    <div class="app-content content container-fluid">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-xs-12 mb-1">
                    <h2 class="content-header-title">@ViewBag.PageTitle</h2>
                </div>
                <div class="content-header-right breadcrumbs-right breadcrumbs-top col-md-6 col-xs-12">
                    <div class="breadcrumb-wrapper col-xs-12" hidden>
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="">خانه</a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">درخواست ها</a>
                            </li>
                            <li class="breadcrumb-item active">
                                درخواست جدید
                            </li>
                        </ol>
                    </div>
                </div>
            </div>
            <div class="content-body">
                @*@ViewBag.Description*@
                @RenderBody()
            </div>
        </div>
    </div>
    <!-- ////////////////////////////////////////////////////////////////////////////-->
    <div class="tour-button-wrapper">
        <button class="tour-button btn-info">
            <span><i class="fa fa-fw fa-question fa-2x"></i></span>
            راهنما
        </button>
    </div>
    <footer class="footer footer-static footer-light navbar-border">
        @*<button type="button" class="btn btn-info left" data-toggle="popover" data-content="Tart macaroon marzipan I love soufflé apple pie wafer. Chocolate bar jelly caramels jujubes chocolate cake gummies." data-original-title="Click Triggered" data-trigger="click" data-placement="bottom">
                On Click Trigger
            </button>*@
        <p class="clearfix text-muted text-sm-center mb-0 px-2">
            <span class="float-md-left d-xs-block d-md-inline-block">
                &copy; 1400 (2021) حق نشر محفوظ است.
            </span>
            <span class="float-md-right d-xs-block d-md-inline-block" hidden><i></i></span>
        </p>
    </footer>

    <!-- BEGIN VENDOR JS-->


    <script src="~/app-assets2/js/core/libraries/jquery.min.js" type="text/javascript"></script>
    <script src="~/app-assets2/vendors/js/ui/tether.min.js" type="text/javascript"></script>
    <script src="~/app-assets2/js/core/libraries/bootstrap.min.js" type="text/javascript"></script>
    <script src="~/app-assets2/vendors/js/ui/perfect-scrollbar.jquery.min.js" type="text/javascript"></script>
    <script src="~/app-assets2/vendors/js/ui/unison.min.js" type="text/javascript"></script>
    <script src="~/app-assets2/vendors/js/ui/blockUI.min.js" type="text/javascript"></script>
    <script src="~/app-assets2/vendors/js/ui/jquery.matchHeight-min.js" type="text/javascript"></script>
    <script src="~/app-assets2/vendors/js/ui/screenfull.min.js" type="text/javascript"></script>
    <script src="~/app-assets2/vendors/js/extensions/pace.min.js" type="text/javascript"></script>
    @*<script src="~/js/signalr/dist/browser/signalr.min.js"></script>*@

    <!-- BEGIN VENDOR JS-->
    <!-- BEGIN PAGE VENDOR JS-->
    @*<script src="~/app-assets2/plugins/wizard-steps/jquery.steps.min.js"></script>*@
    <script src="~/app-assets2/vendors/js/gallery/masonry/masonry.pkgd.min.js" type="text/javascript"></script>
    @*<script src="~/app-assets2/vendors/js/gallery/photo-swipe/photoswipe.min.js" type="text/javascript"></script>*@
    @*<script src="~/app-assets2/vendors/js/gallery/photo-swipe/photoswipe-ui-default.min.js" type="text/javascript"></script>*@
    <!-- END PAGE VENDOR JS-->
    <!-- BEGIN MG JS-->
    <script src="~/app-assets2/js/core/app-menu.js" type="text/javascript"></script>
    <script src="~/app-assets2/js/core/app.js" type="text/javascript"></script>
    <!-- END MG JS-->
    @*<script src="~/app-assets2/plugins/wizard-steps/wizard-steps.min.js"></script>*@
    @*<script src="~/app-assets2/js/scripts/gallery/photo-swipe/photoswipe-script.js" type="text/javascript"></script>*@

    <!-- JS Scripts-->
    <!-- Morris Chart Js -->
    <script src="~/app-assets2/js/datatables.min.js"></script>
    @*<script src="~/app-assets2/vendors/js/charts/chart.min.js" type="text/javascript"></script>*@
    <script src="~/app-assets2/js/datatable.config.js"></script>
    @*<script src="https://unpkg.com/@@aspnet/signalr@@1.0.2/dist/browser/signalr.js" integrity="sha384-gjN8HGdgW45EWYHOqrWrZ8XHLv1zKBralQ9UU94n//6MvoCdsF3NJrBt9FssrFK3" crossorigin="anonymous"></script>*@
    @*<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js" integrity="sha256-CutOzxCRucUsn6C6TcEYsauvvYilEniTXldPa6/wu0k=" crossorigin="anonymous"></script>*@
    <partial name="/Views/Shared/Partials/_ToastrPartial.cshtml" />

    <!-- Bootstrap Toggle Js -->
    @*@Scripts.Render("~/assets/bootstrap-toggle/js")*@
    <script src="~/app-assets2/plugins/bootstrap-toggle/bootstrap4-toggle/bootstrap4-toggle.min.js"></script>
    @*<script src="~/app-assets2/js/scripts/popover/popover.js"></script>*@
    <script src="~/app-assets2/plugins/popper/popper.min.js"></script>
    <!-- Bootstrap Multiselect Js -->
    @*Scripts.Render("~/assets/bootstrap-multiselect/js")*@
    @*<script src="~/app-assets2/plugins/bootstrap-multiselect/bootstrap-multiselect.min.js"></script>*@
    <!-- Bootstrap Datepicker Js -->
    @*<script src="~/app-assets2/plugins/bootstrap-datepicker/bootstrap-datepicker.fa.min.js"></script>*@
    <!-- Custom Js -->
    @*Scripts.Render("~/assets/custom/js")*@
    <script src="~/app-assets2/plugins/sweet-alert/sweetalert.min.js"></script>



    <!-- BEGIN PAGE LEVEL JS-->
    <script src="~/app-assets2/vendors/js/charts/chart.min.js" type="text/javascript"></script>
    <!-- BEGIN PAGE LEVEL JS-->
    @*<script src="~/app-assets2/js/scripts/pages/dashboard-lite.js" type="text/javascript"></script>*@


    <!-- END PAGE LEVEL JS-->
    <script src="~/assets/plugins/select2/js/select2.full.js"></script>
    <script src="~/assets/plugins/select2/js/i18n/fa.js"></script>
    <script src="~/app-assets2/plugins/bootstrap-fileinput/js/bootstrap-fileinput.min.js"></script>
    <script src="~/app-assets2/plugins/bootstrap-fileinput/js/locales/fa.js"></script>
    <script src="~/app-assets2/plugins/bootstrap-fileinput/themes/fa/theme.min.js"></script>
    <script src="~/app-assets2/plugins/bootstrap-fileinput/themes/explorer-fa/theme.min.js"></script>


    <script src="~/app-assets2/plugins/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
    <script src="~/app-assets2/plugins/bootstrap-datepicker/bootstrap-datepicker.fa.min.js"></script>

    <partial name="/Views/Shared/Partials/_ValidationScriptsPartial.cshtml" />
    <partial name="/Views/Shared/Partials/_IntroJsPartial.cshtml" />

    <script>
        $(document).ready(function () {

            $('input[id$="Date"],input[id^="Date"]').datepicker({
                changeMonth: true,
                changeYear: true,
                showOtherMonths: true,
                selectOtherMonths: true,
                today: true,
                isRTL: true,
                dateFormat: "yy/mm/dd"
            });

            $('[data-toggle="tooltip"]').tooltip(
                //{ "placement": "top", }
            );

            $('[data-toggle="popover"]').popover();

            $('select').select2({
                dir: 'rtl',
                language: 'fa',
                theme: 'bootstrap',
                placeholder: '--',
                allowClear: true,
                //dropdownAutoWidth: true,
                //dropdownCssClass:'form-control',
                containerCssClass: ':all:',
                selectionCssClass: 'form-control',
            });

            $('input[type = "file"]').fileinput({
                rtl: true,
                language: 'fa',
                theme: 'fa',
                browseClass: 'btn btn-outline-secondary',
                //allowedFileTypes: ['image'],
                allowedFileExtensions: ['jpg', 'jpeg', 'png'],
                minFileSize: 25,
                maxFileSize: 1000,
                showRemove: false,
                showUpload: false,
                showDownload: false,
                showClose: false,
                showZoom: true,
                showDrag: true,
                //overwriteInitial: false,
                initialPreviewAsData: true,
                //initialPreview: [],
                initialPreviewShowDelete: false,
            });

        });
    </script>

    @RenderSection("scripts", required: false)

    @*<script type="text/javascript">!function () { function t() { var t = document.createElement("script"); t.type = "text/javascript", t.async = !0, localStorage.getItem("rayToken") ? t.src = "https://app.raychat.io/scripts/js/" + o + "?rid=" + localStorage.getItem("rayToken") + "&href=" + window.location.href : t.src = "https://app.raychat.io/scripts/js/" + o + "?href=" + window.location.href; var e = document.getElementsByTagName("script")[0]; e.parentNode.insertBefore(t, e) } var e = document, a = window, o = "97e66e25-fab9-40ee-92ee-f3f4bfdebcf4"; "complete" == e.readyState ? t() : a.attachEvent ? a.attachEvent("onload", t) : a.addEventListener("load", t, !1) }();</script>*@

</body>
</html>


